; bk10fish/theme.jl
;This is a port of the unfinished and unreleashed yet at e.t.o h0axs new Etheme
;Credits for the artwork goes to him off course.
;I just made the port to sawfish cuz i realy liked the theme.

;n0l0G1k
;n0l0g1k@sdf.lonestar.org
;Http://n0l0g1k.de.st

(let*
  (
    (font (get-font "-*-lucida-medium-r-normal-*-*-100-*-*-p--iso8859-1"))
    (font-colors (list "grey" "white"))
    
	(title-images (list (set-image-border
	                    (make-image "title-bar-inactive.png") 10 10 0 0)
                            (set-image-border
			    (make-image "title-bar-active.png")10 10 0 0)))

        (inset-images (list (set-image-border
	                    (make-image "title-inset-inactive.png") 10 10 0 0)
	                    (set-image-border
			    (make-image "title-inset-active.png")10 10 0 0)))
     	(close-images (list (make-image "close-normal.png")
			    nil nil
                            (make-image "close-clicked.png")))

         (iconify-images (list (make-image "iconify-normal.png")
	                     nil nil
			     (make-image "iconify-clicked.png")))

     	(border-top (make-image "border_top.png"))

     	(bottom-images (list (set-image-border
						(make-image "border_bottom_inactive.png") 10 10 0 0)
				(set-image-border
						(make-image "border_bottom.png") 10 10 0 0)))

     	(right-border-images (list (set-image-border
							(make-image "border_right_inactive.png") 10 10 0 0)
									(set-image-border
							(make-image "border_right.png") 10 10 0 0)))

     	(border-left (make-image "border_left.png"))

     	(corner-tl (make-image "corner_top_left.png"))
     	(corner-tr (make-image "corner_top_right.png"))
     	(corner-bl (make-image "corner_bottom_left.png"))

     	(br-images (list (set-image-border
					(make-image "corner_bottom_right_inactive.png") 10 10 0 0)
					(set-image-border
					(make-image "corner_bottom_right.png") 10 10 0 0)))
			

     	(frame `(

		((background . ,title-images)
		 (top-edge . -15)
		 (left-edge . -2)
		 (right-edge . -2)
		 (class . title))
		 
		((background . ,inset-images)
		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
		 (x-justify . center)
                 (y-justify . center)
		 (top-edge . -15)		  
		 (left-edge . -2)
		 (right-edge . -2)
		 (class . title))

                ((background . ,iconify-images)
		 (top-edge . -15)
		 (left-edge . -2)
		 (class . iconify-button))

    		((background . ,close-images)
      		 (top-edge . -15)
      		 (right-edge . -2)
      		 (class . close-button))

     		((background . ,border-left)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (left-edge . -2) 
      		 (class . left-border))

     		((background . ,right-border-images)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (right-edge . -2)
      		 (class . right-border))

     		((background . ,bottom-images)
      		 (bottom-edge . -5)
      		 (right-edge . 0)  
      		 (left-edge . 0)   
      		 (class . bottom-border))

     		((background . ,corner-bl)
      		 (bottom-edge . -3)
      		 (left-edge . -2)  
      		 (class . bottom-left-corner))

     		((background . ,br-images)
      		 (bottom-edge . -4)
      		 (right-edge . -2) 
      		 (class . bottom-right-corner))
	))

	(shaped-frame `(
      
     		((background . ,title-images)
      		 (top-edge . -15)
      		 (left-edge . -2)
      		 (right-edge . -2)
      		 (class . title))
		 
		 ((background . ,inset-images)
		  (foreground . ,font-colors)
		  (font . ,font)
		  (text . ,window-name)
                  (x-justify . center)
		  (y-justify . center)
		  (top-edge . -15)
                  (left-edge . -2)
                  (right-edge . -2)
		  (class . title))

                ((background . ,iconify-images)
		 (top-edge . -15)
		 (left-edge . -2)
		 (class . iconify-button))

     		((background . ,close-images)
      		 (top-edge . -15)
      		 (right-edge . -2)
      		 (class . close-button))
  
	))

	(transient-frame `(

     		((background . ,border-left)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (left-edge . -2) 
      		 (class . left-border))

     		((background . ,right-border-images)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (right-edge . -2)
      		 (class . right-border))

	     	((background . ,border-top)
      		 (top-edge . -4)
      		 (right-edge . 0)
      		 (left-edge . 0) 
      		 (class . title))

     		((background . ,bottom-images)
      		 (bottom-edge . -5)
      		 (right-edge . 0)  
      		 (left-edge . 0)   
      		 (class . bottom-border))

     		((background . ,corner-tl)
      		 (top-edge . -4)
      		 (left-edge . -2)
      		 (class . top-left-corner))

     		((background . ,corner-tr)
      		 (top-edge . -4)
      		 (right-edge . -2)
      		 (class . top-right-corner))

     		((background . ,corner-bl)
      		 (bottom-edge . -3)
      		 (left-edge . -2)  
      		 (class . bottom-left-corner))

     		((background . ,br-images)
      		 (bottom-edge . -4)
      		 (right-edge . -2) 
      		 (class . bottom-right-corner))
	))
	
	(shaped-transient-frame `(
      
     		((background . ,title-images)
      		 (top-edge . -15)
      		 (left-edge . -2)
      		 (right-edge . -2)
      		 (class . title))
		 
		 ((background . ,inset-images)
		  (foreground . ,font-colors)
		  (font . ,font)
		  (text . ,window-name)
                  (x-justify . center)
		  (y-justify . center)
		  (top-edge . -15)
		  (left-edge . -2)
                  (right-edge . -2)
		  (class . title))				    

		((background . ,iconify-images)
		 (top-edge . -15)
		 (left-edge . -2)
		 (class . iconify-button))

     		((background . ,close-images)
      		 (top-edge . -15)
      		 (right-edge . -2)
      		 (class . close-button))

	))
	
  )
  (add-frame-style 'bk10fish
    	(lambda (w type)   
          (case type
	     ((default) frame)
	     ((transient) transient-frame)
	     ((shaped) shaped-frame)
	     ((shaped-transient) shaped-transient-frame)))))
